Extending Qt Creator Manual | BackwardsScanner

Extending Qt Creator Manual 4.5.2

# BackwardsScanner Class

(CPlusPlus::BackwardsScanner)

- List of all members, including inherited members

## Public Functions

| BackwardsScanner(const QTextCursor &cursor, const LanguageFeatures &languageFeatures, int maxBlockCount = MAX_BLOCK_COUNT, const QString &suffix = QString(), bool skipComments = true)
Token | LA(int index) const
QString | indentationString(int index) const
QString | mid(int index) const
int | size() const
int | startOfBlock(int index) const
int | startOfLine(int index) const
int | startOfMatchingBrace(int index) const
int | startPosition() const
int | startToken() const
QString | text() const
QString | text(int index) const
QStringRef | textRef(int index) const
Token | operator[](int index) const

## Static Public Members

int | previousBlockState(const QTextBlock &block)

## Member Function Documentation

### BackwardsScanner::BackwardsScanner(const QTextCursor &cursor, const LanguageFeatures &languageFeatures, int maxBlockCount = MAX_BLOCK_COUNT, const QString &suffix = QString(), bool skipComments = true)

Default constructs an instance of BackwardsScanner.

### Token BackwardsScanner::LA(int index) const

### QString BackwardsScanner::indentationString(int index) const

### QString BackwardsScanner::mid(int index) const

### `[static]` int BackwardsScanner::previousBlockState(const QTextBlock &block)

### int BackwardsScanner::size() const

### int BackwardsScanner::startOfBlock(int index) const

### int BackwardsScanner::startOfLine(int index) const

### int BackwardsScanner::startOfMatchingBrace(int index) const

### int BackwardsScanner::startPosition() const

### int BackwardsScanner::startToken() const

### QString BackwardsScanner::text() const

### QString BackwardsScanner::text(int index) const

### QStringRef BackwardsScanner::textRef(int index) const

### Token BackwardsScanner::operator[](int index) const